apiVersion: apps/v1
kind: Deployment
metadata:
  name: $APP_NAME
  labels:
    app: $APP_NAME
spec:
  replicas: 2
  selector:
    matchLabels:
      app: $APP_NAME
  template:
    metadata:
      labels:
        app: $APP_NAME
    spec:
      imagePullSecrets:
        - name: my-registry-key
      containers:
      - name: $APP_NAME
        image: hossam1radwan/demo-app:$IMAGE_NAME
        imagePullPolicy: Always
        ports:
        - containerPort: 8080

